[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.CheckBrowseMode

Check whether the dataset is in browse mode.

## Declaration

Source position: db.pas line 1677

`public procedure TDataSet.CheckBrowseMode;`

## Description

CheckBrowseMode will force the dataset to browse mode (State=dsBrowse) if it is active. If it is not active, an EDatabaseError exception is raised. If it is active, but in an edit state, then TDataset.UpdateRecord is called, and if the TDataset.Modified property is true, a TDataset.Post is performed, else TDataset.Cancel is called.

## See also

TDataset.State |  | Current operational state of the dataset
TDataset.Post |  | Post pending edits to the database.
TDataset.Cancel |  | Cancel the current editing operation
TDataset.UpdateRecord |  | Indicate that the record contents have changed
TDataset.Modified |  | Was the current record modified ?